OpenCV: cvflann::anyimpl::CV_FINAL< T > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::anyimpl::CV_FINAL< T > Struct Template Reference

`#include "any.h"`

Inheritance diagram for cvflann::anyimpl::CV_FINAL< T >:

## Public Member Functions
virtual void | clone (void *const *src, void **dest) CV_OVERRIDE
virtual void | clone (void *const *src, void **dest) CV_OVERRIDE
virtual void | copy_from_value (void const *src, void **dest) CV_OVERRIDE
virtual void | copy_from_value (void const *src, void **dest) CV_OVERRIDE
virtual void * | get_value (void **src) CV_OVERRIDE
virtual const void * | get_value (void *const *src) CV_OVERRIDE
virtual void * | get_value (void **src) CV_OVERRIDE
virtual const void * | get_value (void *const *src) CV_OVERRIDE
virtual void | move (void *const *src, void **dest) CV_OVERRIDE
virtual void | move (void *const *src, void **dest) CV_OVERRIDE
virtual void | print (std::ostream &out, void *const *src) CV_OVERRIDE
virtual void | print (std::ostream &out, void *const *src) CV_OVERRIDE
virtual void | static_delete (void **) CV_OVERRIDE
virtual void | static_delete (void **x) CV_OVERRIDE
Public Member Functions inherited from cvflann::anyimpl::typed_base_any_policy< T >
virtual ::size_t | get_size () CV_OVERRIDE
virtual const std::type_info & | type () CV_OVERRIDE
Public Member Functions inherited from cvflann::anyimpl::base_any_policy
virtual | ~base_any_policy ()

## Member Function Documentation

## ◆ clone() [1/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::clone | ( | void *const * | src,
|  | void ** | dest
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ clone() [2/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::clone | ( | void *const * | src,
|  | void ** | dest
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ copy_from_value() [1/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::copy_from_value | ( | void const * | src,
|  | void ** | dest
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ copy_from_value() [2/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::copy_from_value | ( | void const * | src,
|  | void ** | dest
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ get_value() [1/4]

template<typename T >

virtual void* cvflann::anyimpl::CV_FINAL< T >::get_value | ( | void ** | src | ) |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ get_value() [2/4]

template<typename T >

virtual const void* cvflann::anyimpl::CV_FINAL< T >::get_value | ( | void *const * | src | ) |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ get_value() [3/4]

template<typename T >

virtual void* cvflann::anyimpl::CV_FINAL< T >::get_value | ( | void ** | src | ) |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ get_value() [4/4]

template<typename T >

virtual const void* cvflann::anyimpl::CV_FINAL< T >::get_value | ( | void *const * | src | ) |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ move() [1/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::move | ( | void *const * | src,
|  | void ** | dest
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ move() [2/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::move | ( | void *const * | src,
|  | void ** | dest
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ print() [1/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::print | ( | std::ostream & | out,
|  | void *const * | src
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ print() [2/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::print | ( | std::ostream & | out,
|  | void *const * | src
| ) |  |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ static_delete() [1/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::static_delete | ( | void ** |  | ) |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

## ◆ static_delete() [2/2]

template<typename T >

virtual void cvflann::anyimpl::CV_FINAL< T >::static_delete | ( | void ** | x | ) |
| inlinevirtual

Implements cvflann::anyimpl::base_any_policy.

The documentation for this struct was generated from the following file:

- flann/include/opencv2/flann/any.h